Skip to content
Navigation

Create report

POST
https://api.sureshake.com/v2/reports

Request body JSON required

  • title
    string
    required
    minLength: 1
  • data
    map of
    unknown
    required
  • description
    optional
    string
    or null
  • is_public
    optional
    boolean
    default: false
  • report_type
    optional
    forecast
    or
    projection
    or
    actual
    or
    formal_report
    or
    periodic_report
    or
    annual_report
    +28 more
    default: "formal_report"
  • linked_report_id
    optional
    string
    or null
    format: uuid
  • fiscal_period_start
    optional
    string
    or null
    format: date-time
  • fiscal_period_end
    optional
    string
    or null
    format: date-time
  • status
    optional
    draft
    or
    uploading
    or
    attributes_added
    or
    ipfs_generated
    or
    submitted
    or
    verified
    +2 more
    default: "draft"
  • entity_id
    optional
    string
    format: uuid
  • organization_id
    optional
    string
    or null
  • document_key
    optional
    string
    or null
    minLength: 1
  • documentKey
    optional
    string
    or null
    minLength: 1
  • document_type
    optional
    string
    or null
    minLength: 1
  • documentType
    optional
    string
    or null
    minLength: 1
  • ipfs_hash
    optional
    string
    or null
  • ipfsHash
    optional
    string
    or null
  • ipfs_url
    optional
    string
    or null
  • ipfsUrl
    optional
    string
    or null
  • nft_address
    optional
    string
    or null
  • nftAddress
    optional
    string
    or null
  • nft_token_id
    optional
    string
    or null
  • nftTokenId
    optional
    string
    or null
  • transaction_hash
    optional
    string
    or null
  • transactionHash
    optional
    string
    or null

Returns

201

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • title
      string
      required
    • report_type
      forecast
      or
      projection
      or
      actual
      or
      formal_report
      or
      periodic_report
      or
      annual_report
      +28 more
      required
    • status
      draft
      or
      uploading
      or
      attributes_added
      or
      ipfs_generated
      or
      submitted
      or
      verified
      +2 more
      required
    • is_public
      boolean
      required
    • owner_id
      string
      required
    • created_at
      string
      required
      format: date-time
    • updated_at
      string
      required
      format: date-time
    • description
      optional
      string
      or null
    • entity_id
      optional
      string
      or null
      format: uuid
    • linked_report_id
      optional
      string
      or null
      format: uuid
    • fiscal_period_start
      optional
      string
      or null
      format: date-time
    • fiscal_period_end
      optional
      string
      or null
      format: date-time
    • ipfs_hash
      optional
      string
      or null
    • ipfs_url
      optional
      string
      or null
    • document_key
      optional
      string
      or null
    • document_type
      optional
      string
      or null
    • nft_address
      optional
      string
      or null
    • nft_token_id
      optional
      string
      or null
    • transaction_hash
      optional
      string
      or null
    • data
      optional
      map of
      unknown
      or null
    • view_delivery
      optional

      Any of the following:

      • object
        • status
          ready
          required
        • receiptId
          string
          required
          format: uuid
        • source
          share
          or
          vault
          or
          direct
          or
          api
          required
        • expiresAt
          string
          required
          format: date-time
        • policyVersion
          report-view-delivery-v2
          required
      • object
        • status
          policyExcluded
          required
        • reason
          owner_self
          or
          blocked
          or
          non_external_traffic
          required
        • policyVersion
          report-view-delivery-v2
          required
      • object
        • status
          unavailable
          required
        • reason
          viewer_policy_unavailable
          or
          lineage_unavailable
          or
          tracking_unavailable
          required
        • policyVersion
          report-view-delivery-v2
          required
    • collection_ids
      optional
      array of
      string
      format: uuid
    • tags
      optional
      array of
      object
      • id
        string
        required
        format: uuid
      • name
        string
        required
      • visibility
        private
        or
        public
        required
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close